<?php defined( 'ABSPATH' ) or die( 'nope' );
	
function get_notable_installed_products() {
	
	$type = ( isset( $_POST['type']) ? $_POST['type'] : null );
	
	$products = ntmrg_get_notable_products(); 
	
	$plugins = get_plugins(); 
	
	$installed_notable_plugins = array();
	
	$updates_number = 0;
	
	foreach ( $plugins as $plugin ) {
		
		if ( !empty( $plugin['PluginURI'] ) ) :
			
			$product_slug = basename( $plugin['PluginURI'] );
			
			if ( stripos( $plugin['PluginURI'] , 'notablethemes.com' ) !== false ) :
				
				$installed_notable_plugins[$product_slug] = $plugin['Version'];
				
			endif;
			
		endif;
		
	} 
	
	$themes = get_themes();
	
	$theme_versions = array();
	
	foreach ( $themes as $key => $theme ) {
		
		$headers = ntmngr_access_protected( $theme, 'headers' );
		
		$theme_versions[$key] = $headers['Version'];
		
	}
	
	$count = 0;
	
	foreach ( $products as $key => $product ) { 
		
		if ( ( $product->type == 'Theme' && $type == 'plugins'  ) || ( $product->type == 'Plugin' && $type != 'plugins' ) ) :
			
			continue;
			
		endif;
		
		if ( array_key_exists( $key, $installed_notable_plugins ) || in_array( $product->title, $themes ) ) {
			
			$installed = true;
			$installed_class = 'active';
			
		} else {
			
			$installed = false;
			$installed_class = 'inactive';
			
		}
	
		$count++; 
	
		if ( $product->type == 'Theme' ) {
			
			$version = $theme_versions[$product->title];
			
		} else {
			
			$version = $installed_notable_plugins[$key];
			
		} 
		
		if ( $version != $product->version ) {
			
			$update = true;
			
		} else {
			
			$update = false;
			
		} ?> 
		
		<tr class="<?php echo $installed_class; ?><?php if ( $update && $installed ) : echo ' update'; endif; ?>">
			<th class="check-column" scope="row" style="padding: 15px;">
				<a href="<?php echo $product->permalink; ?>" target="_blank" style="">
					<?php if ( !empty( $product->screenshot ) ) { ?>
					<img src="<?php echo $product->screenshot; ?>" alt="" width="72" style="border-radius: 3px;" />
					<?php } else { ?>
					<img src="https://d3vv6lp55qjaqc.cloudfront.net/items/1H3100283I082t3A3M2S/plugin.png" alt="" width="72" style="border-radius: 3px;" />
					<?php } ?>
				</a>
			</th>
			<td class="plugin-title column-primary<?php if ( $installed ) : echo ' update'; endif; ?>">
				<strong>
					<a href="<?php echo $product->permalink; ?>" target="_blank">
						<?php echo $product->title; ?>
						<?php if ( $product->free == 'on' ) : ?>
						<span style="display: inline-block; font-size: 0.65rem; line-height: 0.65rem; color: white; background-color: #0073aa; border-radius: 3px; padding: 3px 5px; margin-left: 5px; position: relative; top: -1px;">FREE</span>
						<?php endif; ?>
					</a>
				</strong>
			</td>
			<td class="column-description desc<?php if ( $update && $installed ) : echo ' plugin-update'; endif; ?>">
				<div class="plugin-description">
					<p><?php echo $product->description; ?></p>
				</div>
				<div class="inactive second plugin-version-author-uri">
					<?php if ( $version ) : ?>
					Version <?php echo $version; ?> |
					<?php endif; ?>
					<?php if ( !empty( $product->download_url ) ) : ?>
					<a href="<?php echo $product->type_url; ?>" target="_blank"><?php echo $product->type; ?></a> | <a href="<?php echo $product->download_url; ?>" target="_blank">Manual Download</a>
					<?php endif; ?>
				<?php if ( !$installed && !empty( $product->download_url ) ) : ?> | <a class="button-update update-link" aria-label="Update <?php echo $product->title; ?> now" data-type="<?php echo $product->type; ?>" data-download-url="<?php echo $product->download_url; ?>" style="cursor: pointer;"><strong>Install</strong></a>
				<?php endif; ?>
				</div>
			</td>
		</tr>
		<?php if ( $update && $installed ) : $updates_number++; ?>
		<tr class="plugin-update-tr <?php echo $installed_class; ?>" id="<?php echo $key; ?>-update" data-id="<?php echo $product->id; ?>" data-free="<?php echo $product->free; ?>" data-activated="<?php echo $product->license_option; ?>">
			<td colspan="3" class="plugin-update colspanchange">
				<div class="update-message notice inline notice-warning notice-alt">
					<p>There is a new version of <?php echo $product->title; ?> available. <a href="<?php echo $product->download_url; ?>">Download version <?php echo $product->version; ?> manually</a> or <a class="button-update update-link" aria-label="Update <?php echo $product->title; ?> now" data-type="<?php echo $product->type; ?>" data-download-url="<?php echo $product->download_url; ?>" data-update="true" style="cursor: pointer;"><strong>update now</strong></a>.
					</p>
				</div>
			</td>
		</tr>
		<?php endif;
			
	}
	
	update_option( 'notable_pending_updates', $updates_number );
	
	die();
	
}
add_action('wp_ajax_get_notable_installed_products', 'get_notable_installed_products');

function get_rightly_tv_vids() {
	
	$feed = simplexml_load_file( 'https://www.youtube.com/feeds/videos.xml?channel_id=UC2s0AEBpwSQcRmoxIlsRrWg' );
	
	$videos = $feed->entry;
	
	$count = 0; ?>
	
	<ul>
		<?php foreach ( $videos as $video ) { $count++;
		$url = parse_url( $video->link[0]['href'] );
		if ( $count <= 5 ) : ?>
		<li>
			<a href="<?php echo $video->link[0]['href']; ?>" target="_blank" style="display: inline-block; padding-bottom: 1rem; font-weight: bold; text-decoration: none;">
				<img src="https://i3.ytimg.com/vi/<?php echo str_replace( 'yt:video:', '', $video->id ); ?>/maxresdefault.jpg" alt="<?php echo $video->title[0]; ?>" style="max-width: 100%; height: auto;" />
				<?php echo $video->title[0]; ?>
			</a>
		</li>	
		<?php endif;
		} ?>
	</ul>

<?php }





