<?php defined( 'ABSPATH' ) or die( 'nope' );
	
function ntmngr_download_product_update() {
	
	$type = ( isset( $_POST['type'] ) ? $_POST['type'] : null ); 
	$download_url = ( isset( $_POST['download_url'] ) ? $_POST['download_url'] : null );
	$update = ( isset( $_POST['update'] ) ? $_POST['update'] : false );
	$id = ( isset( $_POST['id'] ) ? $_POST['id'] : null );
	$free = ( isset( $_POST['free'] ) ? $_POST['free'] : null );
	$license_option = ( isset( $_POST['license_option'] ) ? $_POST['license_option'] : null );
	
	$license_key = get_option( $license_option );
	
	if ( !empty( $id ) && !empty( $license_key ) && $update ) {
		
		$key_check = ntmrg_check_license_key( $id, $license_key );
		
		if ( $key_check != 'valid' && $key_check != 'active'  ) {
			
			$active = false;
			
		} else {
			
			$active = true;
			
		}
		
	} else {
		
		$active = false;
		
	}
	
	$active = true; // PERMA ALLOW
	
	if ( !$active && $free != 'on' && $update == 'true' ) :
		
		echo '<br /><br />Sorry, you do not appear to have an active license key for this product. Visit <a href="https://notablethemes.com/account/" target="_blank">your account</a> to ensure your license key is valid, or <a href="https://notablethemes.com/new-ticket/" target="_blank">submit a support request</a>';
		
		die();
		
	endif;
	
	if ( !empty( $type ) && !empty( $download_url ) ) :
		
		if ( $type == 'Theme' ) :
		
			$directory = get_theme_root();
		
		elseif ( $type == 'Plugin' ) :
			
			$directory = WP_PLUGIN_DIR;
			
		endif;
		
		// file_put_contents( 'Tmpfile.zip', fopen( $download_url, 'r') );
		
		$download = download_url( $download_url );
		
		if ( $download ) :
		
			WP_Filesystem();
			// $destination = wp_upload_dir();
			// $destination_path = $destination['path'];
			$unzipfile = unzip_file( $download, $directory );
			
		endif; 
		
		// Rebuild dynamic stylesheets 
		if ( function_exists( 'nt_generate_customizer_css' ) && function_exists( 'nt_compile_theme_stylesheet' ) ) :
			
			nt_generate_customizer_css();
			nt_compile_theme_stylesheet();
			
		endif;
		
	endif;
	
	die(); 
	
}
add_action('wp_ajax_ntmngr_download_product_update', 'ntmngr_download_product_update');

