<?php defined( 'ABSPATH' ) or die( 'nope' );
	
/*
Plugin Name: Notable Themes Manager
Plugin URI:  https://notablethemes.com
Description: Manage all your Notable Themes products in one handy location.
Version:     1.2.1
Author:      Notable Themes
Author URI:  https://notablethemes.com
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: notable-themes-manager
*/

// Gumroad Licenses
require 'inc/licensing.php';

// Notable Themes API
require 'inc/api.php';

// Admin Pages
require 'inc/admin.php';

// Updates
require 'inc/update.php';

// Functions
require 'inc/functions.php';

// Access protected object
function ntmngr_access_protected( $obj, $prop ) {
	$reflection = new ReflectionClass($obj);
	$property = $reflection->getProperty($prop);
	$property->setAccessible(true);
	return $property->getValue($obj);
}

// Add AJAX url
function ntmngr_ajaxurl() { ?>
<script type="text/javascript">
var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
var site_url = '<?php echo get_site_url(); ?>';
</script><?php } 
add_action('admin_head','ntmngr_ajaxurl', 5);

// Scripts
function ntmngr_register_scripts() {
	
	$update = time();
	
	$admin_page = ( isset($_GET['page']) ? $_GET['page'] : null );
	
	global $pagenow;
	
	if ( ( is_admin() && $admin_page == 'notable-themes-manager' ) || ( is_admin() && $pagenow == 'plugins.php' ) ) :
	
		wp_enqueue_script( 'ntmngr-admin-functions', plugin_dir_url( __FILE__ ) . '/inc/admin-functions.js', array('jquery'), $update, true );
		
	endif;

}
add_action( 'admin_enqueue_scripts', 'ntmngr_register_scripts' );

function register_nc_settings() { // whitelist options
	
	register_setting( 'nc-subscriber-group', 'nc_subscriber_email' );
	
}
add_action( 'admin_init', 'register_nc_settings' );

//Use version 2.0 of the update checker.
require 'lib/plugin-update-checker-2.0/plugin-update-checker.php';
$MyUpdateChecker = new PluginUpdateChecker_2_0 (
    'https://notablethemes.com/wp-content/api-manager.json',
    __FILE__,
    'notable-themes-manager'
);